#ifndef KDTREE_H_
#define KDTREE_H_

#include <vector>
#include "mesh.h"

class KDNode {
public:
	std::vector<Face*> faces;
	KDNode *left, *right;
	double plane_pos;
	int axis;
	BBox aabb;
	MeshPrim prim;

	Face* intersect(const Ray &ray, IntInfo* inf);
};

#endif
