#ifndef PLANE_H_
#define PLANE_H_

#include "object.h"
#include "vector.h"

class Plane: public Object {
private:
	Vector3 normal;
	double distance;
public:
	Plane();
	Plane(const Vector3 &normal, double distance);
	bool intersection(const Ray &ray, IntInfo* i_info) const;	
	Vector3 sample() const;
	void calc_bbox();
};

#endif
