#ifndef BRDF_H_
#define BRDF_H_

#include "vector.h"

double phong(const Vector3 &indir, const Vector3 &outdir, const Vector3 &n, double specexp);
double lambert(const Vector3 &indir, const Vector3 &n);
Vector3 sample_phong(const Vector3 &outdir, const Vector3 &n, double specexp);
Vector3 sample_lambert(const Vector3 &n);

#endif
