#include "object.h"

Object::Object() {
	ignore = false;
}

Material* Object::get_material() {
	return &material;
}

const Material* Object::get_material() const {
	return &material;
}

bool Object::is_light() const {
	const Color *ke = &get_material()->ke;
	if (ke->x > 0.0 || ke->y > 0.0 || ke->z > 0.0) {
		return true;
	}
	return false;
}
